Page MenuHomePhabricator

VisualEditor language screenshot scenario for page settings is broken
Closed, ResolvedPublic

Description

It probably needs proper classes for the needed elements.

Broken job:
https://integration.wikimedia.org/ci/view/BrowserTests/view/VisualEditor/job/browsertests-VisualEditor-language-screenshot-os_x_10.10-firefox/LANGUAGE_SCREENSHOT_CODE=en,label=contintLabsSlave%20&&%20UbuntuTrusty/3/testReport/(root)/Language%20Screenshot/VisualEditor_Page_Settings/

Error:

Feature: Language Screenshot

@language_screenshot
Scenario: VisualEditor_Page_Settings          # features/language_screenshot.feature:42
  Given I am editing language screenshot page # features/step_definitions/language_screenshot_steps.rb:28
  And I click the hamburger menu              # features/step_definitions/options_steps.rb:41
  When I click on Page settings option        # features/step_definitions/language_screenshot_steps.rb:67
  Then I should see Page settings dialog box  # features/step_definitions/language_screenshot_steps.rb:195
    unable to locate element, using {:class=>"oo-ui-layout oo-ui-labelElement oo-ui-fieldLayout oo-ui-fieldLayout-align-top", :index=>1, :tag_name=>"label"} (Watir::Exception::UnknownObjectException)
    ./features/support/language_screenshot.rb:66:in `coordinates_from_page_element'
    ./features/support/language_screenshot.rb:61:in `block in coordinates_from_page_elements'
    ./features/support/language_screenshot.rb:60:in `collect'
    ./features/support/language_screenshot.rb:60:in `coordinates_from_page_elements'
    ./features/support/language_screenshot.rb:24:in `crop_image'
    ./features/support/language_screenshot.rb:15:in `capture_screenshot'
    ./features/step_definitions/language_screenshot_steps.rb:202:in `/^I should see Page settings dialog box$/'
    features/language_screenshot.feature:46:in `Then I should see Page settings dialog box'

Failing Scenarios:
cucumber features/language_screenshot.feature:42 # Scenario: VisualEditor_Page_Settings

Details

Related Gerrit Patches:

Event Timeline

Amire80 created this task.Jan 13 2015, 10:14 AM
Amire80 claimed this task.
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a project: VisualEditor.
Amire80 added subscribers: Amire80, zeljkofilipin.

Change 184593 had a related patch set uploaded (by Amire80):
[BrowserTest] Remove the page settings scenario from language screenshots test

https://gerrit.wikimedia.org/r/184593

Patch-For-Review

Change 184593 merged by jenkins-bot:
[BrowserTest] Remove the page settings scenario from language screenshots test

https://gerrit.wikimedia.org/r/184593

Amire80 triaged this task as Medium priority.Jan 23 2015, 4:38 AM
Amire80 set Security to None.
Amire80 closed this task as Resolved.Feb 23 2015, 1:00 PM
Amire80 edited projects, added Browser-test-bug; removed Patch-For-Review.